-- --- T2-COPYRIGHT-NOTE-BEGIN ---
-- T2 SDE: package/*/sam/sam_dummy.lua
-- Copyright (C) 2006 - 2022 The T2 SDE Project
-- 
-- This Copyright note is generated by scripts/Create-CopyPatch,
-- more information can be found in the files COPYING and README.
-- 
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License version 2.
-- --- T2-COPYRIGHT-NOTE-END ---

local _NAME        = "dummy"
local _DESCRIPTION = "Template module (no functionality)"
local _USAGE       = [[dummy

Used as template file for new SAM modules. This module has not function
otherwise.
]]

-- CLI -----------------------------------------------------------------------
require "sam.cli"

local function CLI_exit(self, ...)
	self:send("[INFO] exiting")
	self:finish()
end

local CLI = sam.cli({
	exit  = CLI_exit,
})

-- MAIN-----------------------------------------------------------------------

local function main(...)
	sam.info(_NAME, "main() in module %s\n", _NAME)

	sam.dbg(_NAME, "Arguments (%d):\n", #arg)
	for i=1,#arg do
		sam.dbg(_NAME, "   %s\n", arg[i])
	end

	sam.dbg(_NAME, "Starting CLI:\n")
	CLI()
end

-- SAM MODULE INIT ---------------------------------------------------------
return {
	_NAME = _NAME,
	_DESCRIPTION = _DESCRIPTION,
	_USAGE = _USAGE,
	
	main = main,
}
